
function [f] = draw_gauss_3d_make(X,S,x,n)

    % normalizing factor
    N = 1/((2*pi)^(n/2)*sqrt(det(S)));
    
    % general Gauss
    gen_Gauss = exp(-(1/2)*((x-X)')*((S)^(-1))*(x-X));
    
    % normalized Gauss
    f = N*gen_Gauss;

end
