function [E] = diff_drive_process_function_Jacobian_u(s, ctrl, v)
% creates evaluated Jacobian of f wrt control input u
% assumes ctrl input in delta D, delta Phi      

    E(1,1) = cos( s.value(3,1) + ctrl.value(2,1)/2 ) ; % dfx/dud
    E(1,2) = ctrl.value(1,1)*sin( s.value(3,1)+ctrl.value(2,1)/2 )*(1/2)  ; % dfx/duphi
    E(2,1) = sin( s.value(3,1) + ctrl.value(2,1)/2 ) ; % dfy/dud
    E(2,2) = ctrl.value(1,1)*-cos( s.value(3,1)+ctrl.value(2,1)/2 )*(1/2) ; % dfy/duphi
    E(3,1) = 0; % dfphi/dud
    E(3,2) = 1; % dfphi/duphi
    
    