function [res] = get_corresponding_objects(problem)
% finds ids of landmarks corresponding to type of current real measurement

    % look for type of current real measurement
    look_for_type = problem.model.meas.curr_meas.type;

    global world;
    [n m] = size(world.lm);
    
    res = [];
    
    index = 0;
    for i=1:m,
        
        if world.lm(i).type==look_for_type, % then add it to result list
            
            index = index+1;
            res.lm_id(index,1) = i;
            
        end;
        
    end;
    
    % divide probabilities equally
    for i=1:index,
        res.lm_prob(i,1) = 1/index;
    end;