function [z_real] = polynom_get_real_measurement(x_real)
% returns 'real' measurement, given state x_real

    % x_real is expected to be [x v]'
   
    %R_real = [0.20^2]; % is summation of noise in sensor reading device and noise in feature extraction
    global R_real;
    
    %global meas_counter;

    % policy for deciding if measurement should be given:
    % every 5 steps
    %if meas_counter>5,
    %    meas_counter = 0;
    %    give_measurement = 1;
    %else
    %    meas_counter = meas_counter + 1;
    %    give_measurement = 0;
    %end
    
    give_measurement = 0;
    if rand > 0.5 give_measurement = 1; end;
    
    % z is measurement, in this case full state estimate
    
    if give_measurement==1,
        z_real(1,1) = x_real(1,1);
       
        % add Gaussian noise
        [m n] = size(R_real);
        for i=1:m, z_real(i,1) = z_real(i,1) + sqrt(R_real(i,i))*randn; end;
    
    else
        z_real(1,1) = NaN;

    end;
    
   % disp 'real measurement made.';

