function [last_lm] = get_last_landmark_meas(problem)
% returns position of corresponding landmark

    % takes info from last true measurement
    % assumes last_measured_id contains id of last measurement lm
    global world;
    
    
    if isfield(problem.model.meas,'curr_id'),
        last_lm = world.lm(problem.model.meas.curr_id).pos;
    else
        last_lm = world.lm(problem.model.meas.curr_meas.id).pos;
    end;
