function [ctrl] = diff_drive_make_square_control(state, true_control_noise)

    % returns only control vector, no control uncertainty
    
    % doesn't do anything with control noise right now
    
    global control_para;
    
    if (control_para.straight_steps > control_para.length/control_para.distance_step_size)
        
        % turn
        ctrl.value(1,1) = 0;
        ctrl.value(2,1) = control_para.turn_step_size;
        control_para.straight_steps = 0;    
    else
        control_para.straight_steps = control_para.straight_steps + 1;
        ctrl.value(1,1) = control_para.distance_step_size;
        ctrl.value(2,1) = 0;
    end
    
    ctrl.uncert(1,1) = 0;
    ctrl.uncert(1,2) = 0;
    ctrl.uncert(2,1) = 0;
    ctrl.uncert(2,2) = 0;
    