
clear('data_b');

max = 5000;

% for i = 1:max
%     disp([num2str(i),' of ',num2str(max)]);
%     
%     diff_drive_reinit_fs;
%     steps = 220;
%     [data_b(i)] = run_x_cycles(problem, kf_method(3), steps, 2,[] ,1);
% end;

x.value = [100; 100; 0]; 
x.uncert = [1^2, 0,0; 0,1^2,0; 0,0,1^2]; 

l.value = [200; 200; 0]; 
l.uncert = [1^2, 0,0; 0,1^2,0; 0,0,0.50^2]; 

v.value = [0; 0; 0]; 
v.uncert = [1^2, 0,0; 0,1^2,0; 0,0,5^2]; 

figure;
hold on;

for i = 1:max
   % disp([num2str(i),' of ',num2str(max)]);
    
    % add noise to x
    l.value(1,1) = l.uncert(1,1)*randn;
    l.value(2,1) = l.uncert(2,2)*randn;
    l.value(3,1) = l.uncert(3,3)*randn;
    
    z = diff_drive_one_lm_meas_function(x.value,l.value,v.value);
    plot(z(1,1),z(2,1),'x');
    
    
    

    data_b(i,1) = i;
    data_b(i,2) = z(1,1);
    data_b(i,3) = z(2,1);
    data_b(i,4) = z(3,1);
    
  %  z2 = diff_drive_convert_rel_meas_to_abs(tm1,tm2);
  %  plot(z2(1,2),z2(1,3),'o');
    
end;
 
hold off;
figure
hist(data_b(:,2),20);
figure
hist(data_b(:,3),20);
figure
hist(data_b(:,4),20);
