function [z_hat] = diff_drive_meas_function(x_pred,v)

    % predicts a measurement, based on x
    
    % z_hat is measurement prediction, in this case full state estimate
    
    z_hat(1,1) = x_pred(1,1);
    z_hat(2,1) = x_pred(2,1);
    z_hat(3,1) = x_pred(3,1);
    
    z_hat(3,1) = mod(z_hat(3,1),2*pi);
    % shift orientation to -pi..pi
 %   if z_hat(3,1) > pi,
 %       z_hat(3,1) = z_hat(3,1) - 2*pi;
 %   end;
    
    pr 'measurement prediction made';

