function [res] = combine_prior_and_post(kf_data)

   % source array:
   [prior prior_uncert] = convert_step_data_2_arr(kf_data.x_prior);
   [post post_uncert] = convert_step_data_2_arr(kf_data.x_post);
   
   [nr_steps tmp] = size(prior);
   
   % we want to make a new array with prior and post mixed
   for i=1:nr_steps,
       
       res(i).value.from =  prior(i,:);
       res(i).value.to = post(i,:);
       res(i).uncert.from = prior_uncert(i,:);
       res(i).uncert.to = post_uncert(i,:);
       
   end;
       