function [A] = diff_drive_process_function_Jacobian_x(x_from, ctrl, noise)
   
    % returns Jacobian with partial derivatives w.r.t x, given x_from and
    % control_input
    
    x_old = x_from.value(1,1);
    y_old = x_from.value(2,1);
    phi_old = x_from.value(3,1);
    
    delta_D = ctrl.value(1,1);
    delta_phi = ctrl.value(2,1);
    
    A(1,1) = 1; 
    A(1,2) = 0;
    A(1,3) = -delta_D*sin(phi_old+(delta_phi/2));
    
    A(2,1) = 0;
    A(2,2) = 1;
    A(2,3) = delta_D*cos(phi_old + (delta_phi/2));
    
    A(3,1) = 0;
    A(3,2) = 0;
    A(3,3) = 1;
    
      
  %  disp 'Process Jacobian wrt x made.';

