function [para, paras, n] = paras2string(prob, func)
% concatenates the values of parameters to a string list
% beginning with a comma(!)

    % get number of parameters
    [m n] = size(func.para);

    
    % load currect parameters
    for i=1:n,
        para(i) = feval(func.para(i).get_value, prob);
    end;

    
    % create string list of parameters
    paras = [];
    
    for i=1:n,  % concatenate parameter string parts
 %       paras = strcat(paras, ', para(', num2str(i), ').value' );
         paras = strcat(paras, ', para(', num2str(i), ')' );
    end;